﻿© 2005 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Yokogawa DL17x0 Setup Interface IEEE
INSTRUMENT:            Sub Yokogawa DL17x0 Self Test IEEE
INSTRUMENT:            Sub Yokogawa DL17x0 Cal Init IEEE
DATE:                  2005-10-21 12:22:09
AUTHOR:                Fluke
REVISION:              $Revision: 19267 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       138
=============================================================================
#
#  Procedure Author:  VY, DAC
#
#  Model(s) Covered:  DL1720E(701715), DL1740E(701730), DL1740EL(701740),
#                     DL1720(701705), DL1740(701710)
#
#  Compatibility:     MET/CAL 7.11 or later
#
#  Subprocedures:     None
#
#  Required Files:    None
#
#  Additional Equipment Required:
#                     None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SETUP_INTERFACE              PSUBI("Setup Interface")
  1.002  JMPL         SELF_TEST                    PSUBI("Self Test")
  1.003  JMPL         CAL_INIT                     PSUBI("Cal Init")
  1.004  DISP         Undefined subprocedure!
  1.005  END

  1.006  EVAL   Increment step number

# ============= Sub Yokogawa DL17x0 Setup Interface IEEE ===================

  2.001  LABEL        SETUP_INTERFACE
  2.002  HEAD         SETUP INTERFACE
  2.003  DISP         Press MISC, then press Remote Control soft key,
  2.003  DISP         continue to press Device soft key, Press GP-IB soft key
  2.003  DISP         to ensure the UUT REMOTE PORT is set for GPIB operation.
  2.003  DISP
  2.003  DISP         if necessary, turn the jog shuttle to set the GP-IB
  2.003  DISP         address (the address is not important, as long as it is
  2.003  DISP         not (0) zero).
  2.003  DISP         Press ESC key twice to exit interface setup.
  2.004  END

  2.005  EVAL   Increment step number

# ============ Sub Yokogawa DL17x0 Self-Test IEEE ==========================

  3.001  LABEL        SELF_TEST
  3.002  RSLT         =
  3.003  HEAD         SELF TEST
  3.004  TARGET
  3.005  DISP         Remove all input signals during the self-test.
  3.005  DISP
  3.005  DISP         The self test process may last for about 3 minutes ...
# Send commands to start the self-test and query the result.
  3.006  IEEE2        [T300000]*TST?[I]
# Self Test evaluation
  3.007  EVAL   -e MEM == 0 : SELF TEST

  4.001  IF           MEM
  4.002  IEEE         *SRE 0;STAT:ERR?[I$]
  4.003  DISP         [MEM2]
  4.003  DISP
  4.003  DISP         Select "Advance" to proceed.
  4.003  DISP
  4.003  DISP         Select "Terminate" to repeat or abort the procedure.
  4.004  ENDIF

  4.005  END

  4.006  EVAL   Increment step number

# =============== Sub Yokogawa DL17x0 Cal Init IEEE =====================

  5.001  LABEL        CAL_INIT
# Execute automatic calibration on UUT.
  5.002  IEEE2        CAL:EXEC
# Execute initilize to UUT.
  5.003  IEEE2        INIT:EXEC;:COMM:HEAD OFF

# Select channel ON/OFF based on whether UUT is 2 or 4 channels.
  5.004  IF           GET("Num_Chan") == 2

# Specify CHANNEL being tested.
  5.005  IF           M[1] == 1
  5.006  IEEE2        CHAN1:MODE ON;:CHAN2:MODE OFF
  5.007  ELSE
  5.008  IEEE2        CHAN1:MODE OFF;:CHAN2:MODE ON
  5.009  ENDIF

  5.010  ELSE

# Specify CHANNEL being tested.
  5.011  IF           M[1] == 1
  5.012  IEEE2        CHAN1:MODE ON;:CHAN2:MODE OFF
  5.013  IEEE2        CHAN3:MODE OFF;:CHAN4:MODE OFF

  5.014  ELSEIF       M[1] == 2
  5.015  IEEE2        CHAN1:MODE OFF;:CHAN2:MODE ON
  5.016  IEEE2        CHAN3:MODE OFF;:CHAN4:MODE OFF

  5.017  ELSEIF       M[1] == 3
  5.018  IEEE2        CHAN1:MODE OFF;:CHAN2:MODE OFF
  5.019  IEEE2        CHAN3:MODE ON;:CHAN4:MODE OFF

  5.020  ELSE
  5.021  IEEE2        CHAN1:MODE OFF;:CHAN2:MODE OFF
  5.022  IEEE2        CHAN3:MODE OFF;:CHAN4:MODE ON
  5.023  ENDIF

  5.024  ENDIF

  5.025  END
